#include <Arduino.h>

constexpr int size = 4;
int pins[size] =  {13, 12, 11, 10};
int digits[size] = {0, 0, 0, 0};


void toBinary(int number){
  for(size_t i  = (size - 1); i != size_t(-1); i--){
      digits[i] = number % 2;
      Serial.println(number % 2);
      number /= 2;
  }
}

void setup() {
  for(const int& pin : pins){
    pinMode(pin, OUTPUT);
  }
}

void loop() {
  delay(3000);
  toBinary(15);
  for(size_t i = 0; i < size; i++ ){
    digitalWrite(pins[i], digits[i]);
  }
  delay(3000);
}





